Unify and manage your data

Get hierarchy view for an object

Learn more about how to use the Get hierarchy view API to return a path from an object to one root in a hierarchy instance.

Use the Get hierarchy view for an object to return a path from an object to the root node in a hierarchy instance. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET /{instanceId}/objects/{entityId}/view

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Query parameters

The following table describes the query parameters and their values.

ParameterTypeRequiredDescriptionAccepted values / Default
dateStringNoReturns the hierarchy state for a specific date. Use ISO 8601 date format.Example: 2025-10-10. Default: today

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/{instanceId}/objects/{entityId}/view

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
entityIdStringThe entity ID of the object.
entityTypeStringThe entity type of the object.
labelStringThe label value of the object.
hasMoreChildrenBooleanIndicates whether the object has more children than are returned in the children field.
hasManyParentsBooleanOptional. Indicates whether the object has multiple parents.
cyclicBooleanOptional. Indicates whether the object creates a cycle with any lower level in the hierarchy.
selectedBooleanOptional. Indicates whether this is the object specified in the request.
connectionIdStringThe connection ID between the object and its parent. For the root object, this value is null.
childrenArray of objectsThe list of child nodes. Each child repeats the same response structure recursively.

Example response

The following example shows the response body.

{
  "entityId": "idRoot",
  "entityType": "configuration/entityTypes/HCP",
  "label": "Root",
  "hasMoreChildren": false,
  "children": [
    {
      "entityId": "level1Id",
      "entityType": "configuration/entityTypes/HCP",
      "label": "Level 1",
      "hasMoreChildren": false,
      "connectionId": "rootToLevel1Id",
      "children": [
        {
          "entityId": "objectId",
          "entityType": "configuration/entityTypes/HCP",
          "selected": true,
          "label": "Opened object",
          "hasMoreChildren": false,
          "connectionId": "level1ToObjectId",
          "children": [
            {
              "entityId": "child1Id",
              "entityType": "configuration/entityTypes/HCP",
              "label": "Child 1",
              "hasMoreChildren": true,
              "hasManyParents": true,
              "connectionId": "objectToChild1Id"
            },
            {
              "entityId": "child2Id",
              "entityType": "configuration/entityTypes/HCP",
              "label": "Child 2",
              "hasMoreChildren": false,
              "connectionId": "objectToChild2Id"
            },
            {
              "entityId": "child3Id",
              "entityType": "configuration/entityTypes/HCP",
              "label": "Child 3",
              "hasMoreChildren": true,
              "connectionId": "objectToChild3Id"
            },
            {
              "entityId": "idRoot",
              "entityType": "configuration/entityTypes/HCP",
              "label": "Root 2",
              "hasMoreChildren": false,
              "connectionId": "objectToRootId",
              "cyclic": true
            }
          ]
        },
        {
          "entityId": "siblingObjectId",
          "entityType": "configuration/entityTypes/HCP",
          "selected": true,
          "label": "Opened object",
          "hasMoreChildren": true,
          "hasManyParents": true,
          "connectionId": "level1ToSiblingObjectId",
          "children": []
        }
      ]
    }
  ]
}